Subject: [ipfix] RE: [ippm] traceroute as WG work item? IPFIX traceroute records

From: "STEPHAN Emile RD-CORE-LAN" <[email-masked]>
Date: Wed, 23 Mar 2005 18:30:19 +0100

Hi Juergen,

My thinking is that we might use IPFIX to export the traceroute results.

What about using 2 templates: one for the measure and another one for results?
       
 0                   1                   2                   3  
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  
|         FlowSet ID = 0        |       Length = xx bytes       |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  
|               256             |       Field Length = 4        |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|    FlowID (e.g. measure ID)   |       Field Length = 4        |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-| 
|    sourceIPv4Address          |      Field Length = 4         | Src 
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|  destinationIPv4Address       |        Field Length = 4       | Dst
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+    

0                   1                   2                   3  
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  
|         FlowSet ID = 0        |       Length = xx bytes       |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+  
|               257             |       Field Length = 4        |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|    FlowID (e.g. measure ID)   |       Field Length = 4        |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|    SampleID                   |       Field Length = 4        |  
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ Src UDP 
|   flowStartMicroSeconds       |      Field Length =  8        | pkts time
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|   flowEndDeltaUSeconds        |      Field Length =  4        | Troute RTT
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|    destinationIPv4Address     |        Field Length = 4       | Hop Addr 
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+    

This is compact and is very close to what describes Guido draft (draft-pohl-perpktinfo-02.txt). 

We need only to define a new Field Type named 'SampleID' (named PacketID in Guido document).                 

Regards
Emile

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]] De la part de Juergen Quittek
Envoyé : mardi 15 mars 2005 12:09
À : [email-masked]
Objet : Re: [ippm] traceroute as WG work item?

The I-D is still missing a data model, because there is no
consensus yet on the mailing list about whether to use an
XML-based data model or a more compact one.
Please find some pro and con arguments at
http://people.internet2.edu/~matt/IPPM/Meetings/ietf62/ippm-2005-03-07-traceroute.pdf

Thanks,

    Juergen

--On 15.03.2005 11:15 +0100 Juergen Quittek wrote:

> Dear all,
>
> Unfortunately, there was no discussion on traceroute storage during
> our last meeting. Therefore I bring this issue to the mailing list.
>
> There is an I-D describing an information model for traceroute records:
> http://www.ietf.org/internet-drafts/draft-niccolini-ippm-storetraceroutes-00.txt
>
> This work was initiated by the development of a database for traffic
> measurement tools and traces, see  http://www.ist-mome.org/database/
>
> Currently, there is no standard way of exchanging traceroute
> measurements except for the DISMAN-TRACEROUTE-MIB module (RFC2925).
> But this can only be used for transferring measurement data from an
> SNMP agent to its manager(s).  It is not useful for exchange between
> traffic measurement tools.
>
> A standardized record format for traceroute measurements would be
> very useful for building tools, databases and other applications
> that handle traceroute measurements and need to exchange them.
>
> Therefore I propose that this becomes an IPPM WG work item.
> Any comment, pro or con, is very welcome.
>
> Thanks,
>
>     Juergen
> --
> Juergen Quittek        [email-masked]       Tel: +49 6221 90511-15
> NEC Europe Ltd.,       Network Laboratories        Fax: +49 6221 90511-55
> Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   http://www.netlab.nec.de
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ippm

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Juergen Quittek <[email-masked]>
Date: Mon, 28 Mar 2005 03:05:39 +0200

Emile,

Thanks for your comments!

The basic issue I raised was whether or not the standardization
of an information model and data model for traceroute results would
be a work item for the IPPM WG.

Do I understand correctly from your message that,
  1. yes, it should be standardized,
  2. but not necessarily in the IPPM WG?

Concerning the discussion at IPPM whether we should use a binary
or an XML-based format for traceroute results, I interpret your
message as support for a binary format.

I think your thoughts open an interesting discussion on transmitting
traceroute results in IPFIX records.  Probably, this issue is worth
mentioning it in the IPFIX applicability statement.

Also, the issue should be considered by the information model discussions
in IPFIX and PSAMP.

Thanks,

    Juergen